OpenTTD Source: SoundSettings Struct Reference

OpenTTD Source 15.3

Data Fields
SoundSettings Struct Reference

Settings related to sound effects. More...

`#include <settings_type.h>`

## Data Fields
bool | news_ticker
| Play a ticker sound when a news item is published.
bool | news_full
| Play sound effects associated to certain news types.
bool | new_year
| Play sound on new year, summarising the performance during the last year.
bool | confirm
| Play sound effect on successful constructions or other actions.
bool | click_beep
| Beep on a random selection of buttons.
bool | disaster
| Play disaster and accident sounds.
bool | vehicle
| Play vehicle sound effects.
bool | ambient
| Play ambient, industry and town sounds.

## Detailed Description

Settings related to sound effects.

Definition at line 271 of file settings_type.h.

## Field Documentation

## ◆ ambient

bool SoundSettings::ambient

Play ambient, industry and town sounds.

Definition at line 279 of file settings_type.h.

Referenced by AmbientSoundEffectCallback(), AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >::AnimateTile(), AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >::ChangeAnimationFrame(), ChopLumberMillTrees(), TrainController(), and UpdateLevelCrossingTile().

## ◆ click_beep

bool SoundSettings::click_beep

Beep on a random selection of buttons.

Definition at line 276 of file settings_type.h.

Referenced by SndClickBeep().

## ◆ confirm

bool SoundSettings::confirm

Play sound effect on successful constructions or other actions.

Definition at line 275 of file settings_type.h.

Referenced by CcBuildBridge(), CcBuildRailTunnel(), CcBuildRoadTunnel(), CcRoadStop(), CommonRaiseLowerBigLand(), GenerateRockyArea(), and SndConfirmBeep().

## ◆ disaster

bool SoundSettings::disaster

Play disaster and accident sounds.

Definition at line 277 of file settings_type.h.

Referenced by CheckTrainCollision(), CrashAirplane(), DisasterTick_Aircraft(), DisasterTick_Big_Ufo_Destroyer(), DisasterTick_Ufo(), DisasterTick_Zeppeliner(), and FloodVehicle().

## ◆ new_year

bool SoundSettings::new_year

Play sound on new year, summarising the performance during the last year.

Definition at line 274 of file settings_type.h.

## ◆ news_full

bool SoundSettings::news_full

Play sound effects associated to certain news types.

Definition at line 273 of file settings_type.h.

Referenced by ShowNewspaper().

## ◆ news_ticker

bool SoundSettings::news_ticker

Play a ticker sound when a news item is published.

Definition at line 272 of file settings_type.h.

Referenced by ShowTicker().

## ◆ vehicle

bool SoundSettings::vehicle

Play vehicle sound effects.

Definition at line 278 of file settings_type.h.

Referenced by PlayVehicleSound().

The documentation for this struct was generated from the following file:

- src/settings_type.h